vanoc.ru

Заметки

Roundcube 1.2.5 to 1.3.x

Комментариев нет

В первую очередь делаем бэкап, как файлов так и базы.

Т.к. roundcube 1.3.х требует php7 нужно подключить нужные репозитории

rpm -Uvh https://dl.fedoraproject.org/pub/epel/epel-release-latest-7.noarch.rpm
rpm -Uvh https://mirror.webtatic.com/yum/el7/webtatic-release.rpm

Дальше удаляем старый php

yum remove php php-xml php-pdo php-mbstring php-mcrypt php-intl php-mysqli php-gd

Устанавливаем php7

yum install php70w php70w-opcache php70w-xml php70w-pdo php70w-mbstring php70w-mcrypt php70w-intl php70w-mysqli php70w-gd

Перезапускаем апач

systemctl restart httpd.service

Качаем свежий roundcube

wget https://github.com/roundcube/roundcubemail/releases/download/1.3.1/roundcubemail-1.3.1-complete.tar.gz
extract roundcubemail-1.3.1-complete.tar.gz
./roundcubemail-1.3.1/bin/installto.sh /var/www/roundcubemail/

Делаем бэкап старого composer.json Будем использовать новый

mv composer.json composer.json_old
cp composer.json-dist composer.json

Обновляем плагины

php composer.phar update --no-dev

При обновлении плагинов у меня вылезла ошибка

  [ErrorException]                                                                                                           
  file_put_contents(/var/www/roundcubemail/vendor/bin/crypt-gpg-pinentry): failed to open stream: No such file or directory

Она связана с битой ссылкой. Удалем ее и перелинковываем

rm vendor/bin/crypt-gpg-pinentry
ln -s /var/www/roundcubemail/vendor/pear/crypt_gpg/scripts/crypt-gpg-pinentry /var/www/roundcubemail/vendor/bin/crypt-gpg-pinentry

Осталось взять из composer.json_old те плагины, что уже работают с новой версией, и прописать в composer.json

Кстати, плагин managesieve таки работает и должен быть указан в config/config.inc.php

5 сентября 2017 ~ 14:09


Рубрики centos

Метки

Комментарий

На блоге включена премодерация комментариев. Если это ваш первый комментарий - он не сразу отобразится.
Не расстраивайтесь.